PublishGuide (Grails 6.0.0)

Package: grails.doc.gradle

## [Groovy] Class PublishGuide

- grails.doc.gradle.PublishGuide

-     class PublishGuide
      extends DefaultTask

  Gradle task for generating a gdoc-based HTML user guide.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Boolean` | `asciidoc` |
    `private java.lang.String` | `language` |
    `private java.util.Collection` | `macros` |
    `private java.util.Properties` | `properties` |
    `private java.util.List` | `propertiesFiles` |
    `private java.io.File` | `resourcesDir` |
    `private java.io.File` | `sourceDir` |
    `private java.lang.String` | `sourceRepo` |
    `private java.io.File` | `targetDir` |
    `private java.io.File` | `workDir` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Boolean` | `asciidoc`
    `java.lang.String` | `language`
    `java.util.Collection` | `macros`
    `java.util.Properties` | `properties`
    `java.util.List` | `propertiesFiles`
    `java.io.File` | `resourcesDir`
    `java.io.File` | `sourceDir`
    `java.lang.String` | `sourceRepo`
    `java.io.File` | `targetDir`
    `java.io.File` | `workDir`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PublishGuide ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `publishGuide()`

- - ### Field Detail

    - #### @org.gradle.api.tasks.Input @java.util.Optional private java.lang.Boolean asciidoc

    - #### @org.gradle.api.tasks.Input @java.util.Optional private java.lang.String language

    - #### @Nested private java.util.Collection macros

    - #### @org.gradle.api.tasks.Input @java.util.Optional private java.util.Properties properties

    - #### @org.gradle.api.tasks.Input @java.util.Optional private java.util.List propertiesFiles

    - #### @InputDirectory @java.util.Optional private java.io.File resourcesDir

    - #### @InputDirectory private java.io.File sourceDir

    - #### @org.gradle.api.tasks.Input @java.util.Optional private java.lang.String sourceRepo

    - #### @OutputDirectory private java.io.File targetDir

    - #### @OutputDirectory private java.io.File workDir

  - ### Property Detail

    - #### @org.gradle.api.tasks.Input @java.util.Optional java.lang.Boolean asciidoc

    - #### @org.gradle.api.tasks.Input @java.util.Optional java.lang.String language

    - #### @Nested java.util.Collection macros

    - #### @org.gradle.api.tasks.Input @java.util.Optional java.util.Properties properties

    - #### @org.gradle.api.tasks.Input @java.util.Optional java.util.List propertiesFiles

    - #### @InputDirectory @java.util.Optional java.io.File resourcesDir

    - #### @InputDirectory java.io.File sourceDir

    - #### @org.gradle.api.tasks.Input @java.util.Optional java.lang.String sourceRepo

    - #### @OutputDirectory java.io.File targetDir

    - #### @OutputDirectory java.io.File workDir

  - ### Constructor Detail

    - #### PublishGuide()

  - ### Method Detail

    - #### @org.gradle.api.tasks.TaskAction java.lang.Object publishGuide()